Skip to main content
GET
/
api
/
cost
/
v1
/
cloudCost
Get the cloud cost data
curl --request GET \
  --url https://api.example.com/api/cost/v1/cloudCost \
  --header 'X-Domino-Api-Key: <api-key>'
{}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

window
string
required

Duration of time over which to query. Accepts words like today, week, month, yesterday, lastweek, lastmonth; durations like 30m, 12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z

costMetric
enum<string>

Determines which cloud cost metric type will be returned

Available options:
AmortizedNetCost,
InvoicedCost,
ListCost,
NetCost
aggregate
string

Field by which to aggregate the results. Accepts: invoiceEntityID, accountID, provider, service, and label:. Supports multi-aggregation using comma-separated lists. Example: aggregate=accountID,service

filterInvoiceEntityIDs
string

Filter for account

filterAccountIDs
string

GCP only, filter for projectID

filterProviders
string

Filter for cloud service provider

filterProvidersID
string

Filter for resource-level ID given by CSP

filterServices
string

Filter for cloud service

filterCategories
string

Filter based on object type

filterLabels
string

Filter for a specific label. Does not support filtering for multiple labels at once

Response

Success

Cloud Cost data